/*
   POV-Ray lightmapping helper - Jaime Vives Piqueres, 2011
   --
   File generated by prepare_baking.jar

   This file declares the materials depending on the baking step.
   For the tests and baking renders, it uses just plain white pigments.
   For the baked rendering it uses the lightmaps to modulate the
   pigments: a macro provides a way to customize the baked texture.
*/

#include "colors.inc"
#include "metals.inc"


// material excluded from baking
#declare enclosure_=material{texture{pigment{rgb 1}}}

#if (use_baking<2)
// plain white for tests and lightmap baking ("baking materials"), except for the
// curtains and lamp screens, which have some diffuse backlighting, and are partially 
// transparent only when baking other objects

#declare room_molding_=material{texture{pigment{rgb 1}}}


#declare wall_pic3_frame_=material{texture{pigment{rgb 1}}}


#declare wall_pic2_frame_=material{texture{pigment{rgb 1}}}


#declare door_=material{texture{pigment{rgb 1}}}


#declare chair2_seat_=material{texture{pigment{rgb 1}}}


#declare chair2_legs_=material{texture{pigment{rgb 1}}}


#declare wall_pic3_=material{texture{pigment{rgb 1}}}


#declare wall_pic2_=material{texture{pigment{rgb 1}}}


#declare spots_light_=material{texture{pigment{rgb 1}}}


#declare spots_metal_=material{texture{pigment{rgb 1}}}


#declare balcony_ceiling_=material{texture{pigment{rgb 1}}}


#declare balcony_floor_=material{texture{pigment{rgb 1}}}


#declare balcony_wall_=material{texture{pigment{rgb 1}}}


#declare room_ceiling_=material{texture{pigment{rgb 1}}}


#declare room_floor_=material{texture{pigment{rgb 1}}}


#declare room_wall1_=material{texture{pigment{rgb 1}}}


#declare room_walls_=material{texture{pigment{rgb 1}}}


#declare curtains_=material{texture{pigment{rgb 1 transmit .33} finish{diffuse 0.67,0.33}}}


#declare wall_pic1_=material{texture{pigment{rgb 1}}}


#declare wall_pic1_frame_=material{texture{pigment{rgb 1}}}


#declare curtain_rail_=material{texture{pigment{rgb 1}}}


#declare foot_lamp1_=material{texture{pigment{rgb 1}}}


#declare windows_frames_=material{texture{pigment{rgb 1}}}


#declare stand_=material{texture{pigment{rgb 1}}}


#declare chair1_legs_=material{texture{pigment{rgb 1}}}


#declare chair1_seat_=material{texture{pigment{rgb 1}}}


#declare sofa1_legs_=material{texture{pigment{rgb 1}}}


#declare sofa1_=material{texture{pigment{rgb 1}}}


#declare sofa2_legs_=material{texture{pigment{rgb 1}}}


#declare sofa2_=material{texture{pigment{rgb 1}}}


#declare table_board_=material{texture{pigment{rgb 1}}}


#declare foot_lamp_shade1_=material{texture{pigment{rgb 1 transmit .33} finish{diffuse 0.67,0.33}}}


#declare palm_pot_=material{texture{pigment{rgb 1}}}


#declare palm1_=material{texture{pigment{rgb 1}}}


#declare foot_lamp2_=material{texture{pigment{rgb 1}}}


#declare foot_lamp_shade2_=material{texture{pigment{rgb 1 transmit .33} finish{diffuse 0.67,0.33}}}


#declare vase1_=material{texture{pigment{rgb 1}}}


#declare cushion_=material{texture{pigment{rgb 1}}}


#declare cushion2_=material{texture{pigment{rgb 1}}}


#declare cushion3_=material{texture{pigment{rgb 1}}}


#declare rug_=material{texture{pigment{rgb 1}}}


#declare plate_=material{texture{pigment{rgb 1}}}



#else
// full textures for lightmap loading ("baked materials")

#declare p_lightmap0=pigment{image_map{exr "lightmaps/room_molding_.exr" interpolate 2}}
#declare room_molding_=material{
 baked_texture(
  p_lightmap0,
  pigment {White} ,
  finish{reflection{.01,.15}},
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap1=pigment{image_map{exr "lightmaps/wall_pic3_frame_.exr" interpolate 2}}
#declare wall_pic3_frame_=material{
 baked_texture(
  p_lightmap1,
  pigment{image_map{jpeg "imagemaps/diva-wood-cherry-2.jpg" interpolate 2} scale .1},
  finish{reflection{.01,.2}},
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap2=pigment{image_map{exr "lightmaps/wall_pic2_frame_.exr" interpolate 2}}
#declare wall_pic2_frame_=material{
 baked_texture(
  p_lightmap2,
  pigment{image_map{jpeg "imagemaps/diva-wood-cherry-2.jpg" interpolate 2} scale .1},
  finish{reflection{.01,.2}},
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap3=pigment{image_map{exr "lightmaps/door_.exr" interpolate 2}}
#declare door_=material{
 baked_texture(
  p_lightmap3,
  pigment{White},
  finish{reflection{.01,.15}},
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap4=pigment{image_map{exr "lightmaps/chair2_seat_.exr" interpolate 2}}
#declare chair2_seat_=material{
 baked_texture(
  p_lightmap4,
  pigment{Wheat},
  finish{reflection{0.1,.33} },
  normal{wrinkles -1 scale .01}
 )
}


#declare p_lightmap5=pigment{image_map{exr "lightmaps/chair2_legs_.exr" interpolate 2}}
#declare chair2_legs_=material{
 baked_texture(
  p_lightmap5,
  pigment{White*.1},
  finish{F_MetalC ambient 0 },
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap6=pigment{image_map{exr "lightmaps/wall_pic3_.exr" interpolate 2}}
#declare wall_pic3_=material{
 baked_texture(
  p_lightmap6,
  pigment {image_map{jpeg "imagemaps/tierra-13d.jpg" interpolate 2}} ,
  finish{reflection{0.1,.9}},
  normal{bumps 0}
 )
}


#declare p_lightmap7=pigment{image_map{exr "lightmaps/wall_pic2_.exr" interpolate 2}}
#declare wall_pic2_=material{
 baked_texture(
  p_lightmap7,
  pigment {image_map{jpeg "imagemaps/tierra-14.jpg" interpolate 2}} ,
  finish{reflection{0.1,.9}},
  normal{bumps 0}
 )
}


#declare p_lightmap8=pigment{image_map{exr "lightmaps/spots_light_.exr" interpolate 2}}
#declare spots_light_=material{
// here I ignore the lightmap and use an emissive finish instead
/*
 baked_texture(
  p_lightmap8,
  pigment {color rgb <1.00,1.00,1.00> transmit  0} ,
  finish{},
  normal{bumps 0}
 )
*/
 texture{pigment{White} finish{emission 1}}
}


#declare p_lightmap9=pigment{image_map{exr "lightmaps/spots_metal_.exr" interpolate 2}}
#declare spots_metal_=material{
 baked_texture(
  p_lightmap9,
  pigment{White*.1},
  finish{F_MetalC ambient 0 },
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap10=pigment{image_map{exr "lightmaps/balcony_ceiling_.exr" interpolate 2}}
#declare balcony_ceiling_=material{
 baked_texture(
  p_lightmap10,
  pigment {White} ,
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap11=pigment{image_map{exr "lightmaps/balcony_floor_.exr" interpolate 2}}
#declare balcony_floor_=material{
 baked_texture(
  p_lightmap11,
  pigment{image_map{jpeg "imagemaps/suelos-or1.jpg" interpolate 2} scale .5},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap12=pigment{image_map{exr "lightmaps/balcony_wall_.exr" interpolate 2}}
#declare balcony_wall_=material{
 baked_texture(
  p_lightmap12,
  pigment{image_map{jpeg "imagemaps/varied-reddish-bricks-9181165.jpg" interpolate 2} scale .4 translate .0075*y},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap14=pigment{image_map{exr "lightmaps/room_ceiling_.exr" interpolate 2}}
#declare room_ceiling_=material{
 baked_texture(
  p_lightmap14,
  pigment {White} ,
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap15=pigment{image_map{exr "lightmaps/room_floor_.exr" interpolate 2}}
#declare room_floor_=material{
 baked_texture(
  p_lightmap15,
  pigment{image_map{jpeg "imagemaps/parquet-1.jpg" interpolate 2} scale .2},
  finish{reflection{.01,.1}},
  normal{bump_map{jpeg "imagemaps/parquet-1.jpg" interpolate 2 bump_size 1} scale .2}
 )
 // layered textures for extra grain
 texture{
  pigment{rgbt 1}
  finish{reflection{.01,.1}}
  normal{granite .1 scale .001}
 }
}


#declare p_lightmap16=pigment{image_map{exr "lightmaps/room_wall1_.exr" interpolate 2}}
#declare room_wall1_=material{
 baked_texture(
  p_lightmap16,
  pigment{image_map{jpeg "imagemaps/diva-wall-hand_skip_troweled_stucco" gamma 1 interpolate 2} scale .07 turbulence .3 lambda 3},
  finish{},
  normal{bumps 0},
 )
}


#declare p_lightmap17=pigment{image_map{exr "lightmaps/room_walls_.exr" interpolate 2}}
#declare room_walls_=material{
 baked_texture(
  p_lightmap17,
  pigment{image_map{jpeg "imagemaps/diva-wall-hand_skip_troweled_stucco" gamma 1 interpolate 2} scale .045 turbulence .3 lambda 3},
  finish{},
  normal{bumps 0},
 )
}


#declare p_lightmap18=pigment{image_map{exr "lightmaps/curtains_.exr" interpolate 2}}
#declare curtains_=material{
 baked_texture(
  p_lightmap18,
  pigment{image_map{jpeg "imagemaps/white_fabric.jpg" interpolate 2} scale .2},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap19=pigment{image_map{exr "lightmaps/wall_pic1_.exr" interpolate 2}}
#declare wall_pic1_=material{
 baked_texture(
  //p_lightmap19, // ignoring the lightmap on he TV, as it is emissive
  pigment{White},
  pigment{image_map{jpeg "imagemaps/Taiwan_TV_News_Simulation_1" interpolate 2}},
  finish{reflection{.1,.9} emission 2},
  normal{bumps 0}
 )
}


#declare p_lightmap20=pigment{image_map{exr "lightmaps/wall_pic1_frame_.exr" interpolate 2}}
#declare wall_pic1_frame_=material{
 baked_texture(
  p_lightmap20,
  pigment{Gray10*.25},
  finish{reflection{.1,.9}},
  normal{bumps .05}
 )
}


#declare p_lightmap21=pigment{image_map{exr "lightmaps/curtain_rail_.exr" interpolate 2}}
#declare curtain_rail_=material{
 baked_texture(
  p_lightmap21,
  pigment{White*.1},
  finish{F_MetalC ambient 0 },
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap22=pigment{image_map{exr "lightmaps/foot_lamp1_.exr" interpolate 2}}
#declare foot_lamp1_=material{
 baked_texture(
  p_lightmap22,
  pigment{White*.1},
  finish{F_MetalC ambient 0 },
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap23=pigment{image_map{exr "lightmaps/windows_frames_.exr" interpolate 2}}
#declare windows_frames_=material{
 baked_texture(
  p_lightmap23,
  pigment{White*.1},
  finish{F_MetalC ambient 0 },
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap24=pigment{image_map{exr "lightmaps/stand_.exr" interpolate 2}}
#declare stand_=material{
 baked_texture(
  p_lightmap24,
  pigment{image_map{jpeg "imagemaps/diva-wood-cherry-2.jpg" interpolate 2} rotate 0*z scale .1},
  finish{reflection{.01,.2}},
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap25=pigment{image_map{exr "lightmaps/chair1_legs_.exr" interpolate 2}}
#declare chair1_legs_=material{
 baked_texture(
  p_lightmap25,
  pigment{White*.1},
  finish{F_MetalC ambient 0 },
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap26=pigment{image_map{exr "lightmaps/chair1_seat_.exr" interpolate 2}}
#declare chair1_seat_=material{
 baked_texture(
  p_lightmap26,
  pigment{Wheat},
  finish{reflection{0.1,.33} },
  normal{wrinkles -1 scale .01}
 )
}


#declare p_lightmap27=pigment{image_map{exr "lightmaps/sofa1_legs_.exr" interpolate 2}}
#declare sofa1_legs_=material{
 baked_texture(
  p_lightmap27,
  pigment{White*.1},
  finish{F_MetalC ambient 0 },
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap28=pigment{image_map{exr "lightmaps/sofa1_.exr" interpolate 2}}
#declare sofa1_=material{
 baked_texture(
  p_lightmap28,
  pigment{image_map{jpeg "imagemaps/white_fabric.jpg" interpolate 2} scale .1},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap29=pigment{image_map{exr "lightmaps/sofa2_legs_.exr" interpolate 2}}
#declare sofa2_legs_=material{
 baked_texture(
  p_lightmap29,
  pigment{White*.1},
  finish{F_MetalC ambient 0 },
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap30=pigment{image_map{exr "lightmaps/sofa2_.exr" interpolate 2}}
#declare sofa2_=material{
 baked_texture(
  p_lightmap30,
  pigment{image_map{jpeg "imagemaps/white_fabric.jpg" interpolate 2} scale .1},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap31=pigment{image_map{exr "lightmaps/table_board_.exr" interpolate 2}}
#declare table_board_=material{
 baked_texture(
  p_lightmap31,
  pigment{image_map{jpeg "imagemaps/diva-wood-cherry-2.jpg" interpolate 2} rotate 90*z scale .1},
  finish{reflection{.01,.2}},
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap32=pigment{image_map{exr "lightmaps/foot_lamp_shade1_.exr" interpolate 2}}
#declare foot_lamp_shade1_=material{
 baked_texture(
  p_lightmap32,
  pigment{image_map{png "imagemaps/cortina.png" interpolate 2} scale .1},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap33=pigment{image_map{exr "lightmaps/palm_pot_.exr" interpolate 2}}
#declare palm_pot_=material{
 baked_texture(
  p_lightmap33,
  pigment{image_map{jpeg "imagemaps/diva-wall-hand_skip_troweled_stucco.jpg" interpolate 2} scale .5},
  finish{reflection{.01,.5} },
  normal{granite .05 scale .001}
 )
}


#declare p_lightmap34=pigment{image_map{exr "lightmaps/palm1_.exr" interpolate 2}}
#declare palm1_=material{
 baked_texture(
  p_lightmap34,
  pigment{image_map{jpeg "imagemaps/banana_leaf.jpg" interpolate 2} scale .25},
  finish{reflection{0,.2} },
  normal{granite .05 scale .001}
 )
}


#declare p_lightmap35=pigment{image_map{exr "lightmaps/foot_lamp2_.exr" interpolate 2}}
#declare foot_lamp2_=material{
 baked_texture(
  p_lightmap35,
  pigment{White*.1},
  finish{F_MetalC ambient 0 },
  normal{granite .1 scale .001}
 )
}


#declare p_lightmap36=pigment{image_map{exr "lightmaps/foot_lamp_shade2_.exr" interpolate 2}}
#declare foot_lamp_shade2_=material{
 baked_texture(
  p_lightmap36,
  pigment{image_map{png "imagemaps/cortina.png" interpolate 2} scale .1},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap37=pigment{image_map{exr "lightmaps/vase1_.exr" interpolate 2}}
#declare vase1_=material{
 baked_texture(
  p_lightmap37,
  pigment{image_map{jpeg "imagemaps/diva-wall-hand_skip_troweled_stucco.jpg" interpolate 2} scale .5},
  finish{reflection{.01,.5} },
  normal{granite .05 scale .001}
 )
}


#declare p_lightmap38=pigment{image_map{exr "lightmaps/cushion_.exr" interpolate 2}}
#declare cushion_=material{
 baked_texture(
  p_lightmap38,
  pigment{image_map{jpeg "imagemaps/flame-bl" interpolate 2} scale .1},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap39=pigment{image_map{exr "lightmaps/cushion2_.exr" interpolate 2}}
#declare cushion2_=material{
 baked_texture(
  p_lightmap39,
  pigment{image_map{jpeg "imagemaps/flame-br" interpolate 2} scale .1},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap40=pigment{image_map{exr "lightmaps/cushion3_.exr" interpolate 2}}
#declare cushion3_=material{
 baked_texture(
  p_lightmap40,
  pigment{image_map{jpeg "imagemaps/flame-gr" interpolate 2} scale .1},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap41=pigment{image_map{exr "lightmaps/rug_.exr" interpolate 2}}
#declare rug_=material{
 baked_texture(
  p_lightmap41,
  pigment{image_map{jpeg "imagemaps/soft_rug.jpg" interpolate 2} scale .5 rotate -90*z},
  finish{},
  normal{bumps 0}
 )
}


#declare p_lightmap42=pigment{image_map{exr "lightmaps/plate_.exr" interpolate 2}}
#declare plate_=material{
 baked_texture(
  p_lightmap42,
  pigment{White*.1},
  finish{F_MetalC ambient 0 },
  normal{bumps 0}
 )
}



#end
