/*
   POV-Ray lightmapping helper - Jaime Vives Piqueres, 2011
   --
   File generated by prepare_baking.jar

   This file holds all the control switches which need editing
   depending on the baking step.
*/

// ===========================================================
// baking control
// ===========================================================
#ifndef(use_baking)
  #declare use_baking=2; // 1=bake lightmaps, 2=load lightmaps back as textures, 0=don't bake, just test
#end
#declare lightmap_exposure=1.0; // exposure control for the lightmaps

// ===========================================================
// custom scene control: add here your scene switches for lights or camera if you like
// ===========================================================
#declare use_area  =1; // 0=off, 1=on : soft shadows switch -> living_room_lights.inc
#declare use_fblur =1; // 0=off, 1=on : focal blur switch -> living_room_camera.inc

// ===========================================================
// global settings
// ===========================================================
#declare rad_quality=   1; // 1-10 (1=basic, 2=decent, 3=good, >3=very good, but much patience required)
#declare rad_bounces=   3; // >0 (more of 5 hardly makes a difference)
#declare rad_brightness=1; // increase if needed
global_settings {
 assumed_gamma 1.0
 max_trace_level 7
 #if (use_baking<2)
  radiosity {       
    pretrace_start 0.05
    pretrace_end 0.005
    count 160*rad_quality
    nearest_count 10+rad_quality
    error_bound 0.5/rad_quality
    recursion_limit rad_bounces
    brightness rad_brightness
  }
 #end
}

// ===========================================================
// default finish for all textures:
// ===========================================================
#if (use_baking<2)
#default{texture{finish{ambient 0 emission 0 diffuse 1}}}
#else
#default{texture{finish{ambient 0 emission 1 diffuse 0}}}
#end

// ===========================================================
// macros to create baked textures using lightmaps
// ===========================================================
#include "baked_tools.inc"
